using System;
using System.Text;
using System.Windows.Forms;
using RootPro.RootProCAD;
using RootPro.RootProCAD.UI;

namespace RCAddInEventCS
{
    public partial class Form1 : Form
    {
        AppAddIn app;

        public Form1(AppAddIn app)
        {
            this.app = app;

            InitializeComponent();
        }

        /// <summary>
        /// tH[[hƂ̏
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void Form1_Load(object sender, EventArgs e)
        {
            TreeNode appNode = eventTreeView.Nodes.Add("Application");
            appNode.Checked = true;
            
            // c[ Application NX̃Cxgǉ
            appNode.Nodes.Add("DocumentActivated");
            appNode.Nodes.Add("DocumentAfterSave");
            appNode.Nodes.Add("DocumentBeforeSave");
            appNode.Nodes.Add("DocumentOpened");
            appNode.Nodes.Add("DocumentClosed");
			appNode.Nodes.Add("DocumentBeginPrint");
			appNode.Nodes.Add("DocumentEndPrint");
			appNode.Nodes.Add("CurrentLayerChanged");
            appNode.Nodes.Add("LayerAdded");
            appNode.Nodes.Add("LayerChanged");
            appNode.Nodes.Add("LayerDeleting");
            appNode.Nodes.Add("CurrentDrawingChanged");
            appNode.Nodes.Add("DrawingAdded");
            appNode.Nodes.Add("DrawingChanged");
            appNode.Nodes.Add("DrawingDeleting");
            appNode.Nodes.Add("LayoutAdded");
            appNode.Nodes.Add("LayoutChanged");
            appNode.Nodes.Add("LayoutDeleting");
            appNode.Nodes.Add("ColorsChanged");
            appNode.Nodes.Add("ColorItemChanged");
            appNode.Nodes.Add("LinetypesChanged");
            appNode.Nodes.Add("LinetypeItemAdded");
            appNode.Nodes.Add("LinetypeItemChanged");
            appNode.Nodes.Add("LinetypeItemDeleting");
            appNode.Nodes.Add("LinewidthsChanged");
            appNode.Nodes.Add("LinewidthItemChanged");
            appNode.Nodes.Add("ShapeSettingsChanged");
            appNode.Nodes.Add("ShapeSettingsStyleAdded");
            appNode.Nodes.Add("ShapeSettingsStyleChanged");
            appNode.Nodes.Add("ShapeSettingsStyleDeleting");
            appNode.Nodes.Add("CurrentShapeSettingsStyleChanged");
            appNode.Nodes.Add("MasterDrawComponentAdded");
            appNode.Nodes.Add("MasterDrawComponentDeleting");
            appNode.Nodes.Add("ShapeAdded");
            appNode.Nodes.Add("ShapeChanged");
            appNode.Nodes.Add("ShapeDelete");
			appNode.Nodes.Add("ShapePrinting");
			appNode.Nodes.Add("TabViewActivated");
			appNode.Nodes.Add("WindowActivated");
			appNode.Nodes.Add("ApplicationQuit");

            foreach (TreeNode node in appNode.Nodes)
            {
                node.Checked = true;
            }

            // c[̃m[hׂĊJ
            eventTreeView.ExpandAll();
        }

        /// <summary>
        /// RootPro CAD IƂɌĂ΂
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void app_ApplicationQuit(object sender, EventArgs e)
        {
            // eLXg{bNXɁACxgOǉ
            if (!eventTextBox.IsDisposed)
                eventTextBox.AppendText("Application.ApplicationQuit : ");
        }

        /// <summary>
        /// Jg}ύXꂽƂɌĂ΂
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void app_CurrentDrawingChanged(object sender, CurrentDrawingChangedEventArgs e)
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("Application.CurrentDrawingChanged : ");
            if (e.NewCurrentDrawing != null)
                sb.Append(e.NewCurrentDrawing.Name);
            sb.AppendLine();

            // eLXg{bNXɁACxgOǉ
            if (!eventTextBox.IsDisposed)
                eventTextBox.AppendText(sb.ToString());
        }

        /// <summary>
        /// }ǉꂽƂɌĂ΂
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void app_DrawingAdded(object sender, DrawingEventArgs e)
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("Application.DrawingAdded : ");
            if (e.Drawing != null)
                sb.Append(e.Drawing.Name);
            sb.AppendLine();

            // eLXg{bNXɁACxgOǉ
            if (!eventTextBox.IsDisposed)
                eventTextBox.AppendText(sb.ToString());
        }

        /// <summary>
        /// }ύXꂽƂɌĂ΂
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void app_DrawingChanged(object sender, DrawingChangedEventArgs e)
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("Application.DrawingChanged : ");
            if (e.Drawing != null)
                sb.Append(e.Drawing.Name);
            sb.AppendLine();

            // eLXg{bNXɁACxgOǉ
            if (!eventTextBox.IsDisposed)
                eventTextBox.AppendText(sb.ToString());
        }

        /// <summary>
        /// }폜ƂɌĂ΂
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void app_DrawingDeleting(object sender, DrawingDeletingEventArgs e)
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("Application.DrawingDeleting : ");
            if (e.Drawing != null)
                sb.Append(e.Drawing.Name);
            sb.AppendLine();

            // eLXg{bNXɁACxgOǉ
            if (!eventTextBox.IsDisposed)
                eventTextBox.AppendText(sb.ToString());
        }

        /// <summary>
        /// CAEgǉꂽƂɌĂ΂
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void app_LayoutAdded(object sender, RootPro.RootProCAD.LayoutEventArgs e)
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("Application.LayoutAdded : ");
            if (e.Layout != null)
                sb.Append(e.Layout.Name);
            sb.AppendLine();

            // eLXg{bNXɁACxgOǉ
            if (!eventTextBox.IsDisposed)
                eventTextBox.AppendText(sb.ToString());
        }

        /// <summary>
        /// CAEgύXꂽƂɌĂ΂
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void app_LayoutChanged(object sender, LayoutChangedEventArgs e)
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("Application.LayoutChanged : ");
            if (e.Layout != null)
                sb.Append(e.Layout.Name);
            sb.AppendLine();

            // eLXg{bNXɁACxgOǉ
            if (!eventTextBox.IsDisposed)
                eventTextBox.AppendText(sb.ToString());
        }

        /// <summary>
        /// CAEg폜ƂɌĂ΂
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void app_LayoutDeleting(object sender, LayoutDeletingEventArgs e)
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("Application.LayoutDeleting : ");
            if (e.Layout != null)
                sb.Append(e.Layout.Name);
            sb.AppendLine();

            // eLXg{bNXɁACxgOǉ
            if (!eventTextBox.IsDisposed)
                eventTextBox.AppendText(sb.ToString());
        }        

        /// <summary>
        /// JgCύXꂽƂɌĂ΂
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void app_CurrentLayerChanged(object sender, CurrentLayerChangedEventArgs e)
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("Application.CurrentLayerChanged : ");
            if (e.NewCurrentLayer != null)
                sb.Append(e.NewCurrentLayer.Name);
            sb.AppendLine();

            // eLXg{bNXɁACxgOǉ
            if (!eventTextBox.IsDisposed)
                eventTextBox.AppendText(sb.ToString());
        }

        /// <summary>
        /// CǉꂽƂɌĂ΂
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void app_LayerAdded(object sender, LayerEventArgs e)
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("Application.LayerAdded : ");
            if (e.Layer != null)
                sb.Append(e.Layer.Name);
            sb.AppendLine();

            // eLXg{bNXɁACxgOǉ
            if (!eventTextBox.IsDisposed)
                eventTextBox.AppendText(sb.ToString());
        }

        /// <summary>
        /// CύXꂽƂɌĂ΂
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void app_LayerChanged(object sender, LayerChangedEventArgs e)
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("Application.LayerChanged : ");
            if (e.Layer != null)
                sb.Append(e.Layer.Name);
            sb.AppendLine();

            // eLXg{bNXɁACxgOǉ
            if (!eventTextBox.IsDisposed)
                eventTextBox.AppendText(sb.ToString());
        }

        /// <summary>
        /// C폜ƂɌĂ΂
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void app_LayerDeleting(object sender, LayerDeletingEventArgs e)
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("Application.LayerDeleting : ");
            if (e.Layer != null)
                sb.Append(e.Layer.Name);
            sb.AppendLine();

            // eLXg{bNXɁACxgOǉ
            if (!eventTextBox.IsDisposed)
                eventTextBox.AppendText(sb.ToString());
        }
        
        /// <summary>
        /// Fݒ肪ύXꂽƂɌĂ΂
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void app_ColorsChanged(object sender, ColorsChangedEventArgs e)
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("Application.ColorsChanged : ");
            sb.AppendLine();
            
            // eLXg{bNXɁACxgOǉ
            if (!eventTextBox.IsDisposed)
                eventTextBox.AppendText(sb.ToString());
        }

        /// <summary>
        /// FύXꂽƂɌĂ΂
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void app_ColorItemChanged(object sender, ColorItemEventArgs e)
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("Application.ColorItemChanged : ");
            if (e.Color != null)
                sb.Append(e.Color.Number.ToString());
            sb.AppendLine();

            // eLXg{bNXɁACxgOǉ
            if (!eventTextBox.IsDisposed)
                eventTextBox.AppendText(sb.ToString());
        }
        
        /// <summary>
        /// ݒ肪ύXꂽƂɌĂ΂
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void app_LinetypesChanged(object sender, LinetypesChangedEventArgs e)
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("Application.LinetypesChanged : ");
            sb.AppendLine();

            // eLXg{bNXɁACxgOǉ
            if (!eventTextBox.IsDisposed)
                eventTextBox.AppendText(sb.ToString());
        }

        /// <summary>
        /// 킪ǉꂽƂɌĂ΂
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void app_LinetypeItemAdded(object sender, LinetypeItemEventArgs e)
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("Application.LinetypeItemAdded : ");
            if (e.Linetype != null)
                sb.Append(e.Linetype.Number.ToString());
            sb.AppendLine();

            // eLXg{bNXɁACxgOǉ
            if (!eventTextBox.IsDisposed)
                eventTextBox.AppendText(sb.ToString());
        }
        
        /// <summary>
        /// 킪ύXꂽƂɌĂ΂
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void app_LinetypeItemChanged(object sender, LinetypeItemEventArgs e)
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("Application.LinetypeItemChanged : ");
            if (e.Linetype != null)
                sb.Append(e.Linetype.Number.ToString());
            sb.AppendLine();

            // eLXg{bNXɁACxgOǉ
            if (!eventTextBox.IsDisposed)
                eventTextBox.AppendText(sb.ToString());
        }

        /// <summary>
        /// 킪폜ƂɌĂ΂
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void app_LinetypeItemDeleting(object sender, LinetypeItemDeletingEventArgs e)
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("Application.LinetypeItemDeleting : ");
            if (e.Linetype != null)
                sb.Append(e.Linetype.Number.ToString());
            sb.AppendLine();

            // eLXg{bNXɁACxgOǉ
            if (!eventTextBox.IsDisposed)
                eventTextBox.AppendText(sb.ToString());
        }
        
        /// <summary>
        /// ݒ肪ύXꂽƂɌĂ΂
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void app_LinewidthsChanged(object sender, LinewidthsChangedEventArgs e)
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("Application.LinewidthsChanged : ");
            sb.AppendLine();

            // eLXg{bNXɁACxgOǉ
            if (!eventTextBox.IsDisposed)
                eventTextBox.AppendText(sb.ToString());
        }

        /// <summary>
        /// ύXꂽƂɌĂ΂
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void app_LinewidthItemChanged(object sender, LinewidthItemEventArgs e)
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("Application.LinewidthItemChanged : ");
            if (e.Linewidth != null)
                sb.Append(e.Linewidth.Number.ToString());
            sb.AppendLine();

            // eLXg{bNXɁACxgOǉ
            if (!eventTextBox.IsDisposed)
                eventTextBox.AppendText(sb.ToString());
        }
        
        /// <summary>
        /// }`ݒ肪ύXꂽƂɌĂ΂
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void app_ShapeSettingsChanged(object sender, ShapeSettingsEventArgs e)
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("Application.ShapeSettingsChanged : ");
            if (e.Settings != null)
                sb.Append(e.Settings.GetType().Name);
            sb.AppendLine();

            // eLXg{bNXɁACxgOǉ
            if (!eventTextBox.IsDisposed)
                eventTextBox.AppendText(sb.ToString());
        }

        /// <summary>
        /// }`ݒX^CǉꂽƂɌĂ΂
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void app_ShapeSettingsStyleAdded(object sender, ShapeSettingsStyleEventArgs e)
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("Application.ShapeSettingsStyleAdded : ");
            if (e.Style != null)
                sb.Append(e.Style.Name);
            sb.AppendLine();

            // eLXg{bNXɁACxgOǉ
            if (!eventTextBox.IsDisposed)
                eventTextBox.AppendText(sb.ToString());
        }
        
        /// <summary>
        /// }`ݒX^CύXꂽƂɌĂ΂
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void app_ShapeSettingsStyleChanged(object sender, ShapeSettingsStyleEventArgs e)
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("Application.ShapeSettingsStyleChanged : ");
            if (e.Style != null)
                sb.Append(e.Style.Name);
            sb.AppendLine();

            // eLXg{bNXɁACxgOǉ
            if (!eventTextBox.IsDisposed)
                eventTextBox.AppendText(sb.ToString());
        }

        /// <summary>
        /// }`ݒX^C폜ƂɌĂ΂
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void app_ShapeSettingsStyleDeleting(object sender, ShapeSettingsStyleDeletingEventArgs e)
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("Application.ShapeSettingsStyleDeleting : ");
            if (e.Style != null)
                sb.Append(e.Style.Name);
            sb.AppendLine();

            // eLXg{bNXɁACxgOǉ
            if (!eventTextBox.IsDisposed)
                eventTextBox.AppendText(sb.ToString());
        }

        /// <summary>
        /// Jg̐}`ݒX^CύXꂽƂɌĂ΂
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void app_CurrentShapeSettingsStyleChanged(object sender, ShapeSettingsStyleEventArgs e)
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("Application.CurrentShapeSettingsStyleChanged : ");
            if (e.Style != null)
                sb.Append(e.Style.Name);
            sb.AppendLine();

            // eLXg{bNXɁACxgOǉ
            if (!eventTextBox.IsDisposed)
                eventTextBox.AppendText(sb.ToString());
        }
        
        /// <summary>
        /// }ʃt@CJꂽƂɌĂ΂
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void app_DocumentOpened(object sender, DocumentEventArgs e)
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("Application.DocumentOpened : ");
            if (e.Document != null)
                sb.Append(e.Document.Name);
            sb.AppendLine();

            // eLXg{bNXɁACxgOǉ
            if (!eventTextBox.IsDisposed)
                eventTextBox.AppendText(sb.ToString());
        }

        /// <summary>
        /// }ʃt@CꂽƂɌĂ΂
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void app_DocumentClosed(object sender, DocumentEventArgs e)
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("Application.DocumentClosed : ");
            if (e.Document != null)
                sb.Append(e.Document.Name);
            sb.AppendLine();

            // eLXg{bNXɁACxgOǉ
            if (!eventTextBox.IsDisposed)
                eventTextBox.AppendText(sb.ToString());
        }

		/// <summary>
		/// }ʂOɌĂ΂
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		void app_DocumentBeginPrint(object sender, DocumentPrintEventArgs e)
		{
			StringBuilder sb = new StringBuilder();
			sb.Append("Application.DocumentBeginPrint : ");
			if (e.Document != null)
				sb.Append(e.Document.Name);
			sb.AppendLine();

			// eLXg{bNXɁACxgOǉ
			if (!eventTextBox.IsDisposed)
				eventTextBox.AppendText(sb.ToString());
		}

		/// <summary>
		/// }ʂꂽɌĂ΂
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		void app_DocumentEndPrint(object sender, DocumentPrintEventArgs e)
		{
			StringBuilder sb = new StringBuilder();
			sb.Append("Application.DocumentEndPrint : ");
			if (e.Document != null)
				sb.Append(e.Document.Name);
			sb.AppendLine();

			// eLXg{bNXɁACxgOǉ
			if (!eventTextBox.IsDisposed)
				eventTextBox.AppendText(sb.ToString());
		}

		/// <summary>
		/// }ʃt@CۑOɌĂ΂
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		void app_DocumentBeforeSave(object sender, DocumentBeforeSaveEventArgs e)
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("Application.DocumentBeforeSave : ");
            if (e.Document != null)
                sb.Append(e.Document.Name);
            sb.AppendLine();

            // eLXg{bNXɁACxgOǉ
            if (!eventTextBox.IsDisposed)
                eventTextBox.AppendText(sb.ToString());

            // ۑmFbZ[W\
            DialogResult result = MessageBox.Show("}ʃt@Cۑ܂H", "ۑ̊mF", MessageBoxButtons.YesNo);
            if (result == DialogResult.No)
            {
                // ۑLZ
                e.Cancel = true;
            }
        }

        /// <summary>
        /// }ʃt@CۑꂽɌĂ΂
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void app_DocumentAfterSave(object sender, DocumentEventArgs e)
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("Application.DocumentAfterSave : ");
            if (e.Document != null)
                sb.Append(e.Document.Name);
            sb.AppendLine();

            // eLXg{bNXɁACxgOǉ
            if (!eventTextBox.IsDisposed)
                eventTextBox.AppendText(sb.ToString());
        }

        /// <summary>
        /// ANeBuȐ}ʃt@CύXꂽƂɌĂ΂
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void app_DocumentActivated(object sender, DocumentEventArgs e)
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("Application.DocumentActivated : ");
            if (e.Document != null)
                sb.Append(e.Document.Name);
            sb.AppendLine();

            // eLXg{bNXɁACxgOǉ
            if (!eventTextBox.IsDisposed)
                eventTextBox.AppendText(sb.ToString());
        }

        /// <summary>
        /// }i̒`ǉꂽƂɌĂ΂
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void app_MasterDrawComponentAdded(object sender, MasterDrawComponentEventArgs e)
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("Application.MasterDrawComponentAdded : ");
            if (e.Master != null)
                sb.Append(e.Master.Name);
            sb.AppendLine();

            // eLXg{bNXɁACxgOǉ
            if (!eventTextBox.IsDisposed)
                eventTextBox.AppendText(sb.ToString());
        }

        /// <summary>
        /// }i̒`폜ƂɌĂ΂
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void app_MasterDrawComponentDeleting(object sender, MasterDrawComponentDeletingEventArgs e)
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("Application.MasterDrawComponentDeleting : ");
            if (e.Master != null)
                sb.Append(e.Master.Name);
            sb.AppendLine();

            // eLXg{bNXɁACxgOǉ
            if (!eventTextBox.IsDisposed)
                eventTextBox.AppendText(sb.ToString());
        }
        
        /// <summary>
        /// }`ǉꂽƂɌĂ΂
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void app_ShapeAdded(object sender, ShapeEventArgs e)
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("Application.ShapeAdded : ");
            if (e.Shape != null)
                sb.Append(e.Shape.Number.ToString());
            sb.AppendLine();

            // eLXg{bNXɁACxgOǉ
            if (!eventTextBox.IsDisposed)
                eventTextBox.AppendText(sb.ToString());
        }

        /// <summary>
        /// }`ύXꂽƂɌĂ΂
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void app_ShapeChanged(object sender, ShapeEventArgs e)
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("Application.ShapeChanged : ");
            if (e.Shape != null)
                sb.Append(e.Shape.Number.ToString());
            sb.AppendLine();

            // eLXg{bNXɁACxgOǉ
            if (!eventTextBox.IsDisposed)
                eventTextBox.AppendText(sb.ToString());
        }

        /// <summary>
        /// }`폜ƂɌĂ΂
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void app_ShapeDelete(object sender, ShapeEventArgs e)
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("Application.ShapeDelete : ");
            if (e.Shape != null)
                sb.Append(e.Shape.Number.ToString());
            sb.AppendLine();

            // eLXg{bNXɁACxgOǉ
            if (!eventTextBox.IsDisposed)
                eventTextBox.AppendText(sb.ToString());
        }

		/// <summary>
		/// }`ƂɌĂ΂
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		void app_ShapePrinting(object sender, ShapePrintingEventArgs e)
		{
			StringBuilder sb = new StringBuilder();
			sb.Append("Application.ShapePrinting : ");
			if (e.Shape != null)
				sb.Append(e.Shape.Number.ToString());
			sb.AppendLine();

			// eLXg{bNXɁACxgOǉ
			if (!eventTextBox.IsDisposed)
				eventTextBox.AppendText(sb.ToString());
		}

		/// <summary>
		/// ANeBuȃ^ũr[ύXꂽƂɌĂ΂
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		void app_TabViewActivated(object sender, TabViewEventArgs e)
		{
			StringBuilder sb = new StringBuilder();
			sb.Append("Application.TabViewActivated : ");
			if (e.TabView != null)
				sb.Append(e.TabView.TabIndex.ToString());
			sb.AppendLine();

			// eLXg{bNXɁACxgOǉ
			if (!eventTextBox.IsDisposed)
				eventTextBox.AppendText(sb.ToString());
		}

		/// <summary>
		/// ANeBuȃEBhEύXꂽƂɌĂ΂
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		void app_WindowActivated(object sender, WindowEventArgs e)
		{
			StringBuilder sb = new StringBuilder();
			sb.Append("Application.WindowActivated : ");
			if (e.Window != null)
				sb.Append(e.Window.Caption);
			sb.AppendLine();

			// eLXg{bNXɁACxgOǉ
			if (!eventTextBox.IsDisposed)
				eventTextBox.AppendText(sb.ToString());
		}

		/// <summary>
		/// c[̃`FbNύXꂽƂ̏
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void eventTreeView_AfterCheck(object sender, TreeViewEventArgs e)
        {
            string eventName = e.Node.Text;

            // `FbNԂύXꂽCxgǉ܂͍폜
            if (eventName == "Application")
            {
                foreach (TreeNode node in e.Node.Nodes)
                {
                    if(node.Checked != e.Node.Checked)
                        node.Checked = e.Node.Checked;
                }
            }
            else if (eventName == "DocumentActivated")
            {
                if (e.Node.Checked)
                    app.DocumentActivated += new DocumentEventHandler(app_DocumentActivated);
                else
                    app.DocumentActivated -= new DocumentEventHandler(app_DocumentActivated);
            }
            else if (eventName == "DocumentAfterSave")
            {
                if (e.Node.Checked)
                    app.DocumentAfterSave += new DocumentEventHandler(app_DocumentAfterSave);
                else
                    app.DocumentAfterSave -= new DocumentEventHandler(app_DocumentAfterSave);
            }
            else if (eventName == "DocumentBeforeSave")
            {
                if (e.Node.Checked)
                    app.DocumentBeforeSave += new DocumentBeforeSaveEventHandler(app_DocumentBeforeSave);
                else
                    app.DocumentBeforeSave -= new DocumentBeforeSaveEventHandler(app_DocumentBeforeSave);
            }
            else if (eventName == "DocumentOpened")
            {
                if (e.Node.Checked)
                    app.DocumentOpened += new DocumentEventHandler(app_DocumentOpened);
                else
                    app.DocumentOpened -= new DocumentEventHandler(app_DocumentOpened);
            }
            else if (eventName == "DocumentClosed")
            {
                if (e.Node.Checked)
                    app.DocumentClosed += new DocumentEventHandler(app_DocumentClosed);
                else
                    app.DocumentClosed -= new DocumentEventHandler(app_DocumentClosed);
            }
			else if (eventName == "DocumentBeginPrint")
			{
				if (e.Node.Checked)
					app.DocumentBeginPrint += new DocumentPrintEventHandler(app_DocumentBeginPrint);
				else
					app.DocumentBeginPrint -= new DocumentPrintEventHandler(app_DocumentBeginPrint);
			}
			else if (eventName == "DocumentEndPrint")
			{
				if (e.Node.Checked)
					app.DocumentEndPrint += new DocumentPrintEventHandler(app_DocumentEndPrint);
				else
					app.DocumentEndPrint -= new DocumentPrintEventHandler(app_DocumentEndPrint);
			}
			else if (eventName == "CurrentLayerChanged")
            {
                if (e.Node.Checked)
                    app.CurrentLayerChanged += new CurrentLayerChangedEventHandler(app_CurrentLayerChanged);
                else
                    app.CurrentLayerChanged -= new CurrentLayerChangedEventHandler(app_CurrentLayerChanged);
            }
            else if (eventName == "LayerAdded")
            {
                if (e.Node.Checked)
                    app.LayerAdded += new LayerEventHandler(app_LayerAdded);
                else
                    app.LayerAdded -= new LayerEventHandler(app_LayerAdded);
            }
            else if (eventName == "LayerChanged")
            {
                if (e.Node.Checked)
                    app.LayerChanged += new LayerChangedEventHandler(app_LayerChanged);
                else
                    app.LayerChanged -= new LayerChangedEventHandler(app_LayerChanged);
            }
            else if (eventName == "LayerDeleting")
            {
                if (e.Node.Checked)
                    app.LayerDeleting += new LayerDeletingEventHandler(app_LayerDeleting);
                else
                    app.LayerDeleting -= new LayerDeletingEventHandler(app_LayerDeleting);
            }
            else if (eventName == "CurrentDrawingChanged")
            {
                if (e.Node.Checked)
                    app.CurrentDrawingChanged += new CurrentDrawingChangedEventHandler(app_CurrentDrawingChanged);
                else
                    app.CurrentDrawingChanged -= new CurrentDrawingChangedEventHandler(app_CurrentDrawingChanged);
            }
            else if (eventName == "DrawingAdded")
            {
                if (e.Node.Checked)
                    app.DrawingAdded += new DrawingEventHandler(app_DrawingAdded);
                else
                    app.DrawingAdded -= new DrawingEventHandler(app_DrawingAdded);
            }
            else if (eventName == "DrawingChanged")
            {
                if (e.Node.Checked)
                    app.DrawingChanged += new DrawingChangedEventHandler(app_DrawingChanged);
                else
                    app.DrawingChanged -= new DrawingChangedEventHandler(app_DrawingChanged);
            }
            else if (eventName == "DrawingDeleting")
            {
                if (e.Node.Checked)
                    app.DrawingDeleting += new DrawingDeletingEventHandler(app_DrawingDeleting);
                else
                    app.DrawingDeleting -= new DrawingDeletingEventHandler(app_DrawingDeleting);
            }

            else if (eventName == "LayoutAdded")
            {
                if (e.Node.Checked)
                    app.LayoutAdded += new RootPro.RootProCAD.LayoutEventHandler(app_LayoutAdded);
                else
                    app.LayoutAdded -= new RootPro.RootProCAD.LayoutEventHandler(app_LayoutAdded);
            }
            else if (eventName == "LayoutChanged")
            {
                if (e.Node.Checked)
                    app.LayoutChanged += new LayoutChangedEventHandler(app_LayoutChanged);
                else
                    app.LayoutChanged -= new LayoutChangedEventHandler(app_LayoutChanged);
            }
            else if (eventName == "LayoutDeleting")
            {
                if (e.Node.Checked)
                    app.LayoutDeleting += new LayoutDeletingEventHandler(app_LayoutDeleting);
                else
                    app.LayoutDeleting -= new LayoutDeletingEventHandler(app_LayoutDeleting);
            }
            else if (eventName == "ColorsChanged")
            {
                if (e.Node.Checked)
                    app.ColorsChanged += new ColorsChangedEventHandler(app_ColorsChanged);
                else
                    app.ColorsChanged -= new ColorsChangedEventHandler(app_ColorsChanged);
            }
            else if (eventName == "ColorItemChanged")
            {
                if (e.Node.Checked)
                    app.ColorItemChanged += new ColorItemEventHandler(app_ColorItemChanged);
                else
                    app.ColorItemChanged -= new ColorItemEventHandler(app_ColorItemChanged);
            }
            else if (eventName == "LinetypesChanged")
            {
                if (e.Node.Checked)
                    app.LinetypesChanged += new LinetypesChangedEventHandler(app_LinetypesChanged);
                else
                    app.LinetypesChanged -= new LinetypesChangedEventHandler(app_LinetypesChanged);
            }
            else if (eventName == "LinetypeItemAdded")
            {
                if (e.Node.Checked)
                    app.LinetypeItemAdded += new LinetypeItemEventHandler(app_LinetypeItemAdded);
                else
                    app.LinetypeItemAdded -= new LinetypeItemEventHandler(app_LinetypeItemAdded);
            }
            else if (eventName == "LinetypeItemChanged")
            {
                if (e.Node.Checked)
                    app.LinetypeItemChanged += new LinetypeItemEventHandler(app_LinetypeItemChanged);
                else
                    app.LinetypeItemChanged -= new LinetypeItemEventHandler(app_LinetypeItemChanged);
            }
            else if (eventName == "LinetypeItemDeleting")
            {
                if (e.Node.Checked)
                    app.LinetypeItemDeleting += new LinetypeItemDeletingEventHandler(app_LinetypeItemDeleting);
                else
                    app.LinetypeItemDeleting -= new LinetypeItemDeletingEventHandler(app_LinetypeItemDeleting);
            }
            else if (eventName == "LinewidthsChanged")
            {
                if (e.Node.Checked)
                    app.LinewidthsChanged += new LinewidthsChangedEventHandler(app_LinewidthsChanged);
                else
                    app.LinewidthsChanged -= new LinewidthsChangedEventHandler(app_LinewidthsChanged);
            }
            else if (eventName == "LinewidthItemChanged")
            {
                if (e.Node.Checked)
                    app.LinewidthItemChanged += new LinewidthItemEventHandler(app_LinewidthItemChanged);
                else
                    app.LinewidthItemChanged -= new LinewidthItemEventHandler(app_LinewidthItemChanged);
            }
            else if (eventName == "ShapeSettingsChanged")
            {
                if (e.Node.Checked)
                    app.ShapeSettingsChanged += new ShapeSettingsEventHandler(app_ShapeSettingsChanged);
                else
                    app.ShapeSettingsChanged -= new ShapeSettingsEventHandler(app_ShapeSettingsChanged);
            }

            else if (eventName == "ShapeSettingsStyleAdded")
            {
                if (e.Node.Checked)
                    app.ShapeSettingsStyleAdded += new ShapeSettingsStyleEventHandler(app_ShapeSettingsStyleAdded);
                else
                    app.ShapeSettingsStyleAdded -= new ShapeSettingsStyleEventHandler(app_ShapeSettingsStyleAdded);
            }
            else if (eventName == "ShapeSettingsStyleChanged")
            {
                if (e.Node.Checked)
                    app.ShapeSettingsStyleChanged += new ShapeSettingsStyleEventHandler(app_ShapeSettingsStyleChanged);
                else
                    app.ShapeSettingsStyleChanged -= new ShapeSettingsStyleEventHandler(app_ShapeSettingsStyleChanged);
            }
            else if (eventName == "ShapeSettingsStyleDeleting")
            {
                if (e.Node.Checked)
                    app.ShapeSettingsStyleDeleting += new ShapeSettingsStyleDeletingEventHandler(app_ShapeSettingsStyleDeleting);
                else
                    app.ShapeSettingsStyleDeleting -= new ShapeSettingsStyleDeletingEventHandler(app_ShapeSettingsStyleDeleting);
            }
            else if (eventName == "CurrentShapeSettingsStyleChanged")
            {
                if (e.Node.Checked)
                    app.CurrentShapeSettingsStyleChanged += new ShapeSettingsStyleEventHandler(app_CurrentShapeSettingsStyleChanged);
                else
                    app.CurrentShapeSettingsStyleChanged -= new ShapeSettingsStyleEventHandler(app_CurrentShapeSettingsStyleChanged);
            }
            else if (eventName == "MasterDrawComponentAdded")
            {
                if (e.Node.Checked)
                    app.MasterDrawComponentAdded += new MasterDrawComponentEventHandler(app_MasterDrawComponentAdded);
                else
                    app.MasterDrawComponentAdded -= new MasterDrawComponentEventHandler(app_MasterDrawComponentAdded);
            }
            else if (eventName == "MasterDrawComponentDeleting")
            {
                if (e.Node.Checked)
                    app.MasterDrawComponentDeleting += new MasterDrawComponentDeletingEventHandler(app_MasterDrawComponentDeleting);
                else
                    app.MasterDrawComponentDeleting -= new MasterDrawComponentDeletingEventHandler(app_MasterDrawComponentDeleting);
            }
            else if (eventName == "ShapeAdded")
            {
                if (e.Node.Checked)
                    app.ShapeAdded += new ShapeEventHandler(app_ShapeAdded);
                else
                    app.ShapeAdded -= new ShapeEventHandler(app_ShapeAdded);
            }
            else if (eventName == "ShapeChanged")
            {
                if (e.Node.Checked)
                    app.ShapeChanged += new ShapeEventHandler(app_ShapeChanged);
                else
                    app.ShapeChanged -= new ShapeEventHandler(app_ShapeChanged);
            }
            else if (eventName == "ShapeDelete")
            {
                if (e.Node.Checked)
                    app.ShapeDelete += new ShapeEventHandler(app_ShapeDelete);
                else
                    app.ShapeDelete -= new ShapeEventHandler(app_ShapeDelete);
            }
			else if (eventName == "ShapePrinting")
			{
				if (e.Node.Checked)
					app.ShapePrinting += new ShapePrintingEventHandler(app_ShapePrinting);
				else
					app.ShapePrinting -= new ShapePrintingEventHandler(app_ShapePrinting);
			}
			else if (eventName == "TabViewActivated")
			{
				if (e.Node.Checked)
					app.TabViewActivated += new TabViewEventHandler(app_TabViewActivated);
				else
					app.TabViewActivated -= new TabViewEventHandler(app_TabViewActivated);
			}
			else if (eventName == "WindowActivated")
			{
				if (e.Node.Checked)
					app.WindowActivated += new WindowEventHandler(app_WindowActivated);
				else
					app.WindowActivated -= new WindowEventHandler(app_WindowActivated);
			}
			else if (eventName == "ApplicationQuit")
            {
                if (e.Node.Checked)
                    app.ApplicationQuit += new EventHandler(app_ApplicationQuit);
                else
                    app.ApplicationQuit -= new EventHandler(app_ApplicationQuit);
            }
        }
    }
}